Issue1880

classification
Title: Sha 224 library not present in Jython
Type: Severity: normal
Components: None Versions: 2.7a1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: fwierzbicki Nosy List: chimbs, fwierzbicki
Priority: normal Keywords:

Created on 2012-05-01.18:56:25 by chimbs, last changed 2012-05-12.01:13:46 by fwierzbicki.

Files
File name Uploaded Description Edit Remove
jythondiff.py chimbs, 2012-05-01.19:04:25 This adds the Sha224 hash to jython
SHA224Digest.java chimbs, 2012-05-08.18:27:27
SHA224Digest.java chimbs, 2012-05-11.16:21:13 file with updated license
Messages
msg7085 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2012-05-11.16:15:56
Hi Guarev,

I'm guessing you added the Apache 2.0 license because that's the license you chose when you signed the PSF contributor form. But explicitly adding that license when the code is already MIT licensed will just cause 2 licenses to be permanently attached to this file and needlessly complicate the legal stuff - Would you mind changing the copyright comment at the top from:

/*
 *  Copyright 2011 Gaurav Raje

 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at

 http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.
 */

To:



/*
 *  Copyright 2011 Gaurav Raje
 *  Licensed to PSF under a Contributor Agreement.
 */

That will accomplish what I think you intended... or just give me permission here to do the same.

Thanks!
msg7086 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2012-05-11.16:18:13
Oh yeah, and you probably meant "Copyright 2012" :)
msg7087 (view) Author: Gaurav Raje (chimbs) Date: 2012-05-11.16:21:13
Sure, i changed the agreement on the file and uploaded the new one.
msg7088 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2012-05-11.16:22:57
Guarav: Thanks for the update!
msg7089 (view) Author: Gaurav Raje (chimbs) Date: 2012-05-11.16:52:02
aah yea.. sorry :-)
msg7090 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2012-05-12.01:13:45
Applied in the default branch for 2.7.
History
Date User Action Args
2012-05-12 01:13:46fwierzbickisetstatus: open -> closed
versions: + 2.7a1
messages: + msg7090
priority: normal
assignee: fwierzbicki
resolution: fixed
2012-05-11 16:52:02chimbssetmessages: + msg7089
2012-05-11 16:22:57fwierzbickisetmessages: + msg7088
2012-05-11 16:21:13chimbssetfiles: + SHA224Digest.java
messages: + msg7087
2012-05-11 16:18:13fwierzbickisetmessages: + msg7086
2012-05-11 16:15:56fwierzbickisetmessages: + msg7085
2012-05-10 00:14:58fwierzbickisetnosy: + fwierzbicki
2012-05-08 18:27:27chimbssetfiles: + SHA224Digest.java
2012-05-01 19:04:25chimbssetfiles: + jythondiff.py
2012-05-01 18:56:25chimbscreate